# $Revision: 1.24 $, $Date: 2004/10/01 11:04:28 $
Summary:	Multitrack hard disk recorder
Summary(pl):	Wielociekowy magnetofon nagrywajcy na twardym dysku
Name:		ardour
Version:	0.9
%define	_beta	beta18
Release:	0.%{_beta}.3
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://ardour.org/releases/%{name}-%{version}%{_beta}.tar.bz2
# Source0-md5:	f0ab7b6fccb67b209b1f11edea49fbf1
Source1:	%{name}.desktop
Patch0:		%{name}-system-libs.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-ac_cleanup.patch
Patch3:		%{name}-nptl_fix.patch
URL:		http://ardour.org/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	gtk+-devel >= 1.0.0
#BuildRequires:	gtk-canvas-devel >= 0.1
BuildRequires:	gtkmm1-devel >= 1.2.6
BuildRequires:	jack-audio-connection-kit-devel >= 0.98.0
BuildRequires:	libart_lgpl >= 2.3.16
BuildRequires:	libpng-devel
BuildRequires:	liblrdf-devel >= 0.3.0
BuildRequires:	libsamplerate-devel >= 0.0.13
BuildRequires:	libsigc++1-devel >= 0.8.8
BuildRequires:	libsndfile-devel >= 1.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.5.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A "professional" multitrack, multichannel audio recorder and DAW for
Linux, using ALSA-supported audio interfaces. Supports up to 32 bit
samples, 24+ channels at up to 96kHz, full MMC control,
non-destructive, non-linear editor, LADSPA plugins.

%description -l pl
"Profesjonalny" wielociekowy, wielokanaowy magnetofon oraz DAW dla
Linuksa, wykorzystujcy interfejsy dwikowe obsugiwane przez ALSA.
Obsuguje prbki do 32 bitw, 24+ kanaw do 96kHz, pen kontrol
MMC, niedestruktywny, nieliniowy edytor oraz wtyczki LADSPA.

%prep
%setup -q -n %{name}-%{version}%{_beta}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

install -d m4
# extract AM_BUILD_ENVIRONMENT (patched!)
tail -n +837 aclocal.m4 > m4/buildenv.m4
# AM_OPT_FLAGS (patched!)
tail -n +862 libs/pbd/aclocal.m4 | head -n 33 >> m4/buildenv.m4

%{__perl} -pi -e 's/pt_PT/pt/' gtk_ardour/po/LINGUAS
mv -f gtk_ardour/po/{pt_PT,pt}.po

%build
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
cd gtk_ardour
%{__aclocal} -I ../m4
%{__autoconf}
%{__automake}
cd ../libs
%{__libtoolize}
%{__aclocal} -I ../m4
%{__autoconf}
%{__automake}
cd ardour
%{__libtoolize}
%{__aclocal} -I ../../m4
%{__autoconf}
%{__automake}
cd ../gtk-canvas
%{__aclocal} -I ../../m4
%{__autoconf}
%{__automake}
cd ../gtkmmext
%{__aclocal} -I ../../m4
%{__autoconf}
%{__automake}
cd ../midi++
%{__aclocal} -I ../../m4
%{__autoconf}
%{__automake}
cd ../pbd
%{__aclocal} -I ../../m4
%{__autoconf}
%{__automake}
cd ../soundtouch
%{__aclocal} -I ../../m4
%{__autoconf}
%{__automake}
cd ../..
# ksi doesn't build for a moment
%configure \
	--disable-ksi \
	%{!?debug:--enable-optimize}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

# it shouldn't be there
rm -f $RPM_BUILD_ROOT%{_datadir}/ardour/libardour.{la,a}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog DOCUMENTATION/{AUTHORS,CONTRIBUTORS,FAQ,README,TODO,TRANSLATORS}
%lang(es) %doc DOCUMENTATION/{AUTHORS.es,CONTRIBUTORS.es,README.es}
%lang(fr) %doc DOCUMENTATION/README.fr
%lang(it) %doc DOCUMENTATION/README.it
%lang(ru) %doc DOCUMENTATION/README.ru
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/ardour.1*
%lang(es) %{_mandir}/es/man1/ardour.1*
%lang(fr) %{_mandir}/fr/man1/ardour.1*
%lang(ru) %{_mandir}/ru/man1/ardour.1*
%dir %{_sysconfdir}/ardour
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/ardour/*.rc
%{_desktopdir}/ardour.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ardour.spec,v $
Revision 1.24  2004/10/01 11:04:28  paladine
- rel up for fixed desktop file

Revision 1.23  2004/08/12 10:36:07  qboosh
- removed bogus libidn-devel BR, it belongs to curl-devel

Revision 1.22  2004/08/12 09:00:02  undefine
- BR: libidn-devel

Revision 1.21  2004/08/11 00:35:06  havner
- rel 2

Revision 1.20  2004/07/11 13:26:27  adasi
- stricter BR for libart_lgpl

Revision 1.19  2004/07/11 11:32:20  adasi
- stricter BR for jack

Revision 1.18  2004/07/09 18:41:27  qboosh
- updated to 0.9beta18, updated system-libs,opt patches, removed obsolete am18 patch
- fixed pt locale name

Revision 1.17  2004/07/08 17:12:51  qboosh
- typo

Revision 1.16  2004/05/13 09:37:26  adasi
 - reverted last change, libraptor-devel is required by liblrdf-devel

Revision 1.15  2004/05/13 09:31:22  adasi
 - added libraptor-devel BR

Revision 1.14  2004/02/12 20:08:40  freetz
- added nptl fix patch (missing include)

Revision 1.13  2004/02/11 07:59:07  ankry
- cosmetics

Revision 1.12  2004/02/11 07:46:40  qboosh
- updated to 0.9beta9.1, updated system-libs and opt patches

Revision 1.11  2004/01/05 22:54:20  qboosh
- updated to 0.9beta8
- updated opt patch (wasn't ready even for beta7)
- added am18 patch for new automake madness

Revision 1.10  2004/01/05 20:23:05  ankry
- new head/tail syntax

Revision 1.9  2004/01/04 20:21:59  averne
- updated to beta7

Revision 1.8  2003/10/11 13:48:38  freetz
- updated to 0.9beta5
- switched back to included gtk-canvas (incompatibilty problems)
  (libs.patch updated)
- ac_cleanup patch (removes non existing ac entires from configure.ac)
- updated "qboosh magic" spec entries
- builds and works without problems

Revision 1.7  2003/08/06 16:13:55  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.6  2003/07/15 21:40:56  qboosh
- updated system-libs patch to use system gtk-canvas library
  (system soundtouch can't be used now, ardour contains modified version)

Revision 1.5  2003/07/15 17:42:20  freetz
- added .desktop
- rel.1 (builds and works like a dream)

Revision 1.4  2003/07/15 16:16:18  qboosh
- added opt patch
- removed BR ladspa-devel (ardour contains its own ladspa.h)

Revision 1.3  2003/07/14 23:18:46  qboosh
- added system-libs patch, regenerate ac/am (for system libsigc++1 and gtkmm1)
  (includes workaround for LOCK define - it's an example why pure kernel
   headers shouldn't be used in user space, only the sanitized ones)
- finished pl

Revision 1.2  2003/07/02 22:30:12  freetz
- small corrections

Revision 1.1  2003/07/02 22:22:42  freetz
- initial PLD release
